## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanParsedSource Class Reference

This is abstract base class designed to allow a XalanTranfomer object to reuse a parsed document. More...

Inheritance diagram for XalanParsedSource:

[legend]
List of all members.

## Public Member Functions

- XalanParsedSource ()
- virtual ~XalanParsedSource ()
- virtual XalanDocument * getDocument () const=0
    Get a pointer to the XalanDocument instance for the source document.
- virtual XalanParsedSourceHelper * createHelper (MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR) const=0
    Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance.
- virtual const XalanDOMString & getURI () const=0
    Get the URI for the parsed source, if any.

## Detailed Description

This is abstract base class designed to allow a XalanTranfomer object to reuse a parsed document.

## Constructor & Destructor Documentation

XalanParsedSource::XalanParsedSource | ( |  | ) |

virtual XalanParsedSource::~XalanParsedSource | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XalanParsedSourceHelper* XalanParsedSource::createHelper | ( | MemoryManagerType &theManager | XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR | ) | const`[pure virtual]`

Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance.

The caller is responsible for deleting the object when finished.

Returns:
  A pointer to a XalanParsedSourceHelper instance.

Implemented in XalanDefaultParsedSource, XalanDocumentBuilder, XalanSourceTreeWrapperParsedSource, XercesDOMParsedSource, and XercesDOMWrapperParsedSource.

virtual XalanDocument* XalanParsedSource::getDocument | ( |  | ) | const`[pure virtual]`

Get a pointer to the XalanDocument instance for the source document.

Returns:
  A pointer to a XalanDocument instance.

Implemented in XalanDefaultDocumentBuilder, XalanDefaultParsedSource, XalanDocumentBuilder, XalanSourceTreeWrapperParsedSource, XercesDOMParsedSource, and XercesDOMWrapperParsedSource.

virtual const XalanDOMString& XalanParsedSource::getURI | ( |  | ) | const`[pure virtual]`

Get the URI for the parsed source, if any.

use for transforming with the instance.

Returns:
  A const reference to a string containing the URI

Implemented in XalanDefaultDocumentBuilder, XalanDefaultParsedSource, XalanDocumentBuilder, XalanSourceTreeWrapperParsedSource, XercesDOMParsedSource, and XercesDOMWrapperParsedSource.

The documentation for this class was generated from the following file:

- XalanParsedSource.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.